<?php

// If user typed email before it will be here:
$email = $this->Email; // for restoring the form field

// Errors
$wrongPassword = $this->InvalidEmailOrPassword; // true or false
$errorMessages = $this->ErrorMessage; // null or string

?>
<div class="col-md-12 col-sm-12 contentbox signin">
    <div class="loginbox">
        <div class="cont2b">
            <h4 class="head1 leftalign">Sign In</h4>

            <?php if($wrongPassword) { ?>
                <p class="error">The email address or password you entered isn't correct. Please try again. <a href="<?= $this->url('forgot-password')?>">Reset password</a></p>
            <?php } ?>
            <?php if($errorMessages) { ?>
                <p class="error"><?= $errorMessages ?></p>
            <?php } ?>

            <p class="info info2">Please make sure that your profile name is spelt correctly</p>
        </div>

        <form method="post" action="<?= $this->url('sign-in')?>">
            <div class="form-group">
                <input type="text" name="email" class="form-control" placeholder="EMAIL ADDRESS" <?php if($email) { echo 'value="'.$email.'"'; } ?> />
            </div>


            <?php if($wrongPassword) { // Password error ?>
                <div class="form-group gotError has-error has-feedback">
                    <input type="password" name="password" class="sizeError form-control" id="inputWarning2" aria-describedby="inputWarning2Status" placeholder="PASSWORD">
                    <span class="glyphicon glyphicon-warning-sign form-control-feedback" aria-hidden="true"></span>
                    <script> $('input[name=password]').focus(); </script>
                </div>
            <?php }else{ ?>
                <div class="form-group">
                    <input type="password" name="password" class="form-control" id="inputWarning2" aria-describedby="inputWarning2Status" placeholder="PASSWORD">
                </div>
            <?php } ?>

            <div class="DownPart2b">
                <div class="first2b">
                    <a href="<?= $this->url('forgot-password')?>"><p class="rgs">Forgot Password</p></a>
                </div>
                <div class="second2b">
                    <button type="submit" class="cmp">Sign In</button>
                </div>
            </div>

        </form>

        <div class="clear"></div>
    </div>
</div>